Bug 1316293 - Ship AppStream metadata file
Ship AppStream metadata file
Product: Fedora
Classification: Fedora
Component: gimp-data-extras (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
: Reopened
Depends On:
  Show dependency treegraph
Reported: 2016-03-09 17:02 EST by Jiri Eischmann
Modified: 2016-06-18 14:56 EDT (History)
1 user (show)

See Also:
Fixed In Version: gimp-data-extras-2.0.2-14.fc25 gimp-data-extras-2.0.2-14.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2016-06-18 14:56:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
gimp-data-extras.metainfo.xml (581 bytes, application/xml)
2016-03-09 17:02 EST, Jiri Eischmann
no flags Details

  None (edit)
Description Jiri Eischmann 2016-03-09 17:02:39 EST
Created attachment 1134652 [details]

The package doesn't ship AppStream [1] metadata file, so it doesn't appear in GIMP profile in the default app catalog GNOME Software and is not easily discoverable and installable for users.

I've already filed a bug upstream [2] because it should be ideally included there since it's used across Linux distributions, but unless/until upstream ships it it should be included downstream as the packaging guidelines say [3].

I've created the file for you, see the attachment.

[1] http://www.freedesktop.org/software/appstream/docs/sect-Quickstart-Addons.html
[2] https://bugzilla.gnome.org/show_bug.cgi?id=763398
[3] https://fedoraproject.org/wiki/Packaging:AppData
Comment 1 Nils Philippsen 2016-05-27 11:31:51 EDT
Building gimp-data-extras-2.0.2-14.fc25 for rawhide
Building gimp-data-extras-2.0.2-14.fc24 for f24-candidate
Comment 2 Fedora Update System 2016-05-27 11:42:45 EDT
gimp-data-extras-2.0.2-14.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-4a97ca2090
Comment 3 Fedora Update System 2016-05-27 23:25:26 EDT
gimp-data-extras-2.0.2-14.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-4a97ca2090
Comment 4 Fedora Update System 2016-06-18 14:56:06 EDT
gimp-data-extras-2.0.2-14.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.